***				 	AEJMacro-2013-0231_AggregateEstimates						***
***																				***
***		This program:															***
***			Estimate a trade elasticity on aggregate data						***
***			Compute the aggregate trade elasticity implied by the estimate		***
***			Input: temp_agbil.dta (from FinalAEJ_BuildDatabase.do)		***
***				   weight.dta (from FinalAEJ_BuildDatabase.do)					***
***				   regsec_wc_lntradelntariff.dta (from FinalAEJ_SectorEstimates)***
***				   aggregate_noc.do (estimation of elasticity on aggregate data	***
***				   and computation of the corresponding aggregate trade 		***
***				   elasticity													***
***			Output: ag_noc_lntradelnmtariff.dta (Aggregate trade elasticity and ***
***					estimated coefficient)										***
***																				***



clear
set more off
global datapath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global dopath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro
global outputpath D:\Research\Elast_JI\Output\AEJ\AEJMacro-2013-0231_AdditionalMaterial\CaliendoParro\Output

* run programs
cd "$dopath"
quietly do aggregate_noc

* aggregate elasticity lntrade lnmtariff noconstant
cd "$datapath"	
aggregate_noc temp_agbil lntrade lnmtariff $outputpath\regsec_wc_lntradelntariff

* Save output
use ag_noc_lntradelnmtariff, clear
save "$outputpath/ag_noc_lntradelnmtariff.dta", replace
erase ag_noc_lntradelnmtariff.dta 


